<link:linkbase
    xmlns:link="http://www.xbrl.org/2003/linkbase"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    >
   <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:label="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem" xlink:to="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem_lbl" xlink:type="arc"/>
      <link:label id="id_3" xlink:label="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Advance payments for intangible assets</link:label>
      <link:label id="id_4" xlink:label="GrenardiGroup_AvansaMaksājumiParNemateriālajiemIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Advance payments for intangible assets</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:label="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem" xlink:to="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem_lbl" xlink:type="arc"/>
      <link:label id="id_7" xlink:label="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Proceeds from issuing stock and issuing debenture or investments of capital participatory shares</link:label>
      <link:label id="id_8" xlink:label="GrenardiGroup_IeņēmumiNoAkcijuEmisijasVaiKapitālaLīdzdalībasDaļuIeguldījumiem_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from issuing stock and issuing debenture or investments of capital participatory shares</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:label="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos" xlink:to="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos_lbl" xlink:type="arc"/>
      <link:label id="id_11" xlink:label="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Long-term investments in rented fixed assets</link:label>
      <link:label id="id_12" xlink:label="GrenardiGroup_IlgtermiņaIeguldījumiNomātajosPamatlīdzekļos_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Long-term investments in rented fixed assets</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:label="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija" xlink:to="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija_lbl" xlink:type="arc"/>
      <link:label id="id_15" xlink:label="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Other inflows (outflows) of cash from disposals of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets, classified as investing activities</link:label>
      <link:label id="id_16" xlink:label="GrenardiGroup_IzslēgtoNemateriāloIeguldījumuUnPamatlīdzekļuKorekcija_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other inflows (outflows) of cash from disposals of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets, classified as investing activities</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:label="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības" xlink:to="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības_lbl" xlink:type="arc"/>
      <link:label id="id_19" xlink:label="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Concessions, patents, licences, trademarks and similar rights</link:label>
      <link:label id="id_20" xlink:label="GrenardiGroup_KoncesijasPatentiLicencesPrečuZīmesUnTamlīdzīgasTiesības_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Concessions, patents, licences, trademarks and similar rights</link:label>

      <link:loc xlink:href="9845008F599B95980934-2025-12-31.xsd#GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:label="GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:type="locator"/>
      <link:labelArc order="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrenardiGroup_ParādiAsociētajāmSabiedrībām" xlink:to="GrenardiGroup_ParādiAsociētajāmSabiedrībām_lbl" xlink:type="arc"/>
      <link:label id="id_23" xlink:label="GrenardiGroup_ParādiAsociētajāmSabiedrībām_lbl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Current payables to associated parties</link:label>
      <link:label id="id_24" xlink:label="GrenardiGroup_ParādiAsociētajāmSabiedrībām_lbl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current payables to associated parties</link:label>

   </link:labelLink>

</link:linkbase>